FLANG

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::characteristics::DummyDataObject Struct Reference

## Public Member Functions
| ENUM_CLASS (Attr, Optional, Allocatable, Asynchronous, Contiguous, Value, Volatile, Pointer, Target) using Attrs
| DummyDataObject (const TypeAndShape &t)
| DummyDataObject (TypeAndShape &&t)
| DummyDataObject (DynamicType t)
bool | operator== (const DummyDataObject &) const
bool | operator!= (const DummyDataObject &that) const
bool | CanBePassedViaImplicitInterface () const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Static Public Member Functions
static std::optional< DummyDataObject > | Characterize (const semantics::Symbol &)

## Public Attributes
TypeAndShape | type
std::vector< Expr< SubscriptInteger > > | coshape
common::Intent | intent {common::Intent::Default}
Attrs | attrs

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/characteristics.h
- lib/Evaluate/characteristics.cpp